> For the complete documentation index, see [llms.txt](https://docs.colossyan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.colossyan.com/avatar-creation/create-avatar.md).

# Create avatar

You can create an "instant" avatar by sending an image or video link to the API. The avatar will be generated based on the provided media.

The API will return the avatar's name, which can then be used for generating video with the avatar.

## Creates a new avatar.

> Creates a new avatar from the sent properties.

```json
{"openapi":"3.0.3","info":{"title":"Avatar API","version":"1.0.0"},"servers":[{"url":"https://app.colossyan.com/api/v1","description":"V1 API"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"PostActorsRequestBody":{"type":"object","properties":{"displayName":{"type":"string","description":"Name to be displayed for the avatar"},"sourceFileUrl":{"type":"string","description":"URL to the video or image file for the avatar to be created from"},"gender":{"type":"string","enum":["Male","Female"]}}}}},"paths":{"/assets/actors":{"post":{"summary":"Creates a new avatar.","description":"Creates a new avatar from the sent properties.","operationId":"postActors","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostActorsRequestBody"}}}},"responses":{"201":{"description":"Avatar created successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Used to identify the avatar, can be used for video generation"}}}}}},"400":{"description":"Bad Request. Invalid input data."},"401":{"description":"Unauthorized. Authentication required."},"500":{"description":"Internal server error."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.colossyan.com/avatar-creation/create-avatar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
